import { useTranslation } from "@/src/hooks/useTranslation";
import { Button, Modal, ModalBody, ModalContent, ModalFooter } from "@nextui-org/react";
import { HiOutlineExclamationCircle } from "react-icons/hi";


const ConfimDialog = ({ openModal, setOpenModal, textConfirm, textDescription, executeConfirm, loading ,contact}: any) => {

    const { trans } = useTranslation();
    return (
        <Modal
            isOpen={openModal}
            onOpenChange={() => setOpenModal(!openModal)}
        >
            <ModalContent>
                {(onClose) => (
                    <>
                        <ModalBody>
                            <div className="row align-items-center justify-content-center">
                                <div className="col-md-12 text-center m-3 flex flex-col justify-center items-center">
                                    <HiOutlineExclamationCircle size={70} />
                                    <h2 className="text-lg font-bold">{textDescription}</h2>
                                    <p>{contact}</p>
                                </div>
                                <br />
                                <hr />
                            </div>
                        </ModalBody>
                        <ModalFooter>
                        <Button color="danger" variant="light" isDisabled={loading} onPress={() => setOpenModal(!openModal)}>
                            {trans('modal_conversations_start_button_cancel_title')}
                        </Button>
                        <Button color="primary" isLoading={loading} onPress={() => executeConfirm()}>
                            {textConfirm}
                        </Button>
                        </ModalFooter>
                    </>
                )}
            </ModalContent>
        </Modal>
    )
}

export default ConfimDialog